/*
 * Header file mkisofs.h - assorted structure definitions and typecasts.

   Written by Eric Youngdale (1993).

 * $Id: vms.h,v 1.1 1997/02/23 15:59:18 eric Rel $
 */

#ifdef VMS
#define lstat VMS_stat

/* gmtime not available under VMS - make it look like we are in Greenwich */
#define gmtime localtime

#ifndef S_ISBLK
#define S_ISBLK(X) (0)
#endif
#ifndef S_ISCHR
#define S_ISCHR(X) (0)
#endif
#ifndef S_ISREG
#define S_ISREG(X)  (((X) & S_IFMT) == S_IFREG)
#endif
#ifndef S_ISDIR
#define S_ISDIR(X)  (((X) & S_IFMT) == S_IFDIR)
#endif

/* Some function prototypes */
int readlink(char *, char *, int);
void vms_path_fixup(char *);
void vms_write_one_file(char *, int, FILE * );
int VMS_stat(const char *, struct stat *);

int VMS_opendir(char *);
struct dirent * VMS_readdir(int);
void VMS_closedir(int);
#if __CRTL_VER < 70000000
char * strdup(const char *);
int unlink(char *);
#endif
#endif
